#!/usr/bin/perl

$passwd = "hd6wUKgc89h"; # have a look into create-database.sql
$host = "localhost";

$contract = $ARGV[0];
$no = $ARGV[1];
$name = $ARGV[2];

$USE = "usage: ./import.pl <contract pkey> <start number> <csv file>";
if ((scalar @ARGV) != 3) {
  die "$USE\nwrong argument number\n";
}
if (($contract =~ /[^0-9]/) || ($contract eq "")) {
  die "$USE\nfirst argument is not a number\n";
}
if (($no =~ /[^0-9]/) || ($no eq "")) {
  die "$USE\nsecond argument is not a number\n";
}
if (! -f $name) {
  die "$USE\nfile $name does not exist\n";
}

open (FILE, "< $name");
open (TMP, "> /tmp/callcenter.sql");

print "Starting $name at " . `date` . "\n";

while ($line = <FILE>) {
  $line =~ s/'/\\'/g;
  if ($line =~ /([^;]*);([^;]*);([^;]*);([^;]*);([^;]*);([^;]*);\(0([0-9]*)\)([0-9]*)/) {
    ($sal, $first, $sur, $street, $zip, $loc, $pref, $telno)
      = ($1, $2, $3, $4, $5, $6, $7, $8);
    print TMP "insert into numbers (contract, state, no, nextcalldate,"
          . " salutation, firstname, surname, street, zipcode, location,"
	  . " prefix, phonenumber, completenum)"
	  . " values "
	  . "($contract, 1, $no, now(), '$sal', '$first', '$sur',"
	  .  " '$street', '$zip', '$loc', '$pref', '$telno', '$pref$telno');\n";
    $no++;
  }
  else {
    print "Skipping line $no: $line\n";
  }
}

close FILE;
close TMP;

print `cat /tmp/callcenter.sql | mysql -u callcenter -p$passwd callcenter -h $host`;
unlink "/tmp/callcenter.sql";
