#ifndef SILENCECHECK_H
#define SILENCECHECK_H

#include <qobject.h>
#include <qtimer.h>

class SilenceCheck : public QObject
{
    Q_OBJECT

public:
    SilenceCheck();
    ~SilenceCheck();

    void startTimer();
    void stopTimer();

public slots:
    virtual void speakerSigUpdated( double vol );
    virtual void timerTick();

private:
    QTimer* silenceTimer;

    int silent;
    double volume;
};

#endif // SILENCECHECK_H
