/****************************************************************************
** Form interface generated from reading ui file 'sounddialog.ui'
**
** Created: Mo Aug 1 13:35:01 2005
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.3   edited Nov 24 2003 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef SOUNDDIALOG_H
#define SOUNDDIALOG_H

#include <qvariant.h>
#include <qdialog.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QFrame;
class QPushButton;
class QLabel;
class QSlider;
class QProgressBar;
class QTimer;

class SoundDialog : public QDialog
{
    Q_OBJECT

public:
    SoundDialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~SoundDialog();

    QFrame* line1;
    QPushButton* kmixButton;
    QPushButton* saveButton;
    QLabel* systemLabel;
    QSlider* speakerSlider;
    QSlider* microSlider;
    QProgressBar* microSignal;
    QProgressBar* speakerSignal;
    QLabel* localLabel_3;
    QLabel* micLabel;
    QLabel* speakerLabel;

public slots:
    virtual void mixerCalled();
    virtual void saveCalled();
    virtual void displaySpeakerVol();
    virtual void displayMicroVol();
    virtual void changeMicroVol( int vol );
    virtual void changeSpeakerVol( int vol );
    virtual void microSigUpdated( double vol );
    virtual void speakerSigUpdated( double vol );
    virtual void timerTick();

signals:
    void soundControlStop();

protected:

protected slots:
    virtual void languageChange();

private:
    QTimer* displayTimer;
    int maxSpeakerVol;
    int maxMicroVol;
    int blockChange;

    virtual void init();
    virtual void destroy();
    virtual void microChanged();
    virtual void speakerChanged();

};

#endif // SOUNDDIALOG_H
